Cocoapods ne fonctionne pas

Bonjour,

Je suis les cours depuis le début et j’en suis arrivé à l’application Safety First. Cependant, quand j’essaie de créer un nouveau Podfile avec l’application Cocoapods, rien ne se passe…
J’ai lu que l’application avait des problèmes, j’ai donc essayer avec les lignes de commandes mais j’ai le message suivant : zsh: command not found: $

J’aurais besoin de votre aide pour pouvoir poursuivre ma formation Swift :innocent:

zsh est un programme comme tcsh ou bash qui permet de donner des lignes de commande au terminal et n’a rien à voir avec CocoaPods qui n’a aucun problème en fait. Il faudrait que tu décrives par le menu tout ce que tu fais pour voir exactement là où ça coince dans tes essais.

Effectivement, zsh est le système de ligne de commande que tu utilises, il te dit juste qu’il ne comprend pas la commande que tu as entré.
As-tu bien installé cocoapods dans la ligne de commande ou tu l’as juste installé en app graphique ?
Les infos pour installer cocoapods en ligne de commande sont dispo sur leur site : https://cocoapods.org

Merci pour vos réponses.
En fait quand j’ouvre l’application Mac Cocoapods, je vais ensuite dans « Fichier » puis « New Podfile from Xcode Project ». Je sélectionne ensuite le projet « SafetyFirst.xcodeproj » puis je clique sur « Entrer ». Et là rien ne se passe.

Pour l’installation en ligne de commande, j’ai copié la commande « $ sudo gem install cocoapods » dans le terminal et j’ai le message « zsh: command not found: $ ».

ok je comprends mieux, ne copiez pas le $ il ne fait pas partie de la commande, il vous faut uniquement copier :
sudo gem install cocoapods

Merci beaucoup j’ai réussi à installer Cocoapods en enlevant le $ !
Mais maintenant je peux trouver où la documentation pour créer un podfile et ainsi installer Realm dans mon projet ? Parce que les cours ne traitent que de l’application Mac mais pas des lignes de commande.

Bonne nouvelle! Toute la documentation est disponible sur le site officiel de cocoapods mais les 2 commandes dont tu as besoin pour suivre le cours sont les suivantes :

  • pod init te permet de générer le fichier Podfile pour ton projet
  • pod install te permet d’installer toutes les dépendances que tu as listé dans ton Podfile

Pense à bien te placer dans le dossier de ton projet avant d’exécuter ces commandes sinon elles ne fonctionneront pas. Pour te placer dans le dossier tu tapes la commande cd puis un espace et avant d’appuyer sur entrée tu fais glisser dans ton terminal le dossier de ton projet, tu devrais obtenir un résultat ressemblant à ça :
cd /chemin/vers/ton/projet
à ce moment là tu peux appuyer sur entrée pour valider la commande ; ce qui aura pour effet de placer ton Terminal dans ce dossier.
Après tu peux utiliser les commandes de cocoapods dont je t’ai parlé plus tôt :wink:
Happy coding!

Merci beaucoup j’ai réussi à tout installer ! J’ai trouver sur un forum comment faire la mise à jour du Command Line car j’avais des messages d’erreurs. J’ai réussi à installer Realm dans mon projet, je vais pouvoir avancer.
Merci beaucoup pour votre aide :wink:

1 J'aime

Pour moi aussi CocoaPods ne fonctionne pas. Lorsque je choisi mon projet avec « New Podfile from Xcode project » rien ne se passe, je n’ai même pas de message.
j’ai installé CocoaPods 1.5.2 et j’ai Catalina 10.15.3

Effectivement, il ne faut plus utiliser la version graphique de cocoapods, il semble qu’elle ne soit plus maintenue :’(
@gigimac : suis les explications de de thread pour réaliser les mêmes tâches en ligne de commande et ça fonctionnera beaucoup mieux :slight_smile:
La bonne nouvelle c’est que depuis iOS 13 on peut souvent se passer de cocoapods et n’utiliser que Swift Package Manager qui est intégré à XCode 11.

1 J'aime

Merci beaucoup, effectivement avec le terminal cela fonctionne, je vais me renseigner sur Swift Package Manager.
A bientôt :wave:

Génial le Package Manager, il suffit de copier le lien GitHub dans Swift Packages et le frameworks s’installe!
Plus besoin de CocoaPods et de passer par le terminal

Oui c’est beaucoup mieux que cocoapods, par contre il manque certaines fonctionnalités pour des bibliothèques plus avancées. Mais pour 80% des projets open source ça devrait marcher :+1:

Avec le package , on peut crée une base de donne fire base ? , car en effet avec cocoapods c’est impossible depuis plus d’une semaine je n’arrive point à l’installer par plusieurs faute qui ce répète j’ai essaye de télécharger les commandeLine de Xcode il Mon dit que je l’avais déjà j’ai essayer d’installer rvm il me sort un problème j’ai essaye d’installer des gem il me dise qu’il y’a un problème de permission qui et tout le dénier et quand je telecharge cocoapods il y’a un problème de build d’extension native qui ne Ce faire et j’en passe … un problème qui en ramène un autre quelqun a déjà u un cas similaires ?

Il est compliqué à comprendre ton message djalil, tu peux décomposer un peu plus les étapes pour qu’on y voit plus clair dans ton problème ?

Oui en effet , quand j’essaye de télécharger cocoapods avec « Sudo gem install cocoapods « je recoie constamment une erreur « erreur installating cocoapods:
Error: failled to build gem native extensions.

Donc l’es solution que j’ai essayer
Installer les outil de commande Xcode avec « sudo-select —xcode «
Il me dise « error : command line tools are already installed, une « softawre update » to install updates

J’ai essayer d’installer rvm point voir si ça fonctionner avec rvm install 2.2
Il mon marquer l’erreur suivante « erreur running ´__rvm_make -j4 ´ ,

Donc mon problème et que je n’arrive pa à installer cocoapods malgré tout ce que j’ai pu faire pouvais m’aider svp ?

@Djalil

Bonjour, en cherchant, je suis tombé sur ce thread qui devrait pouvoir te donner des solutions.
https://stackoverflow.com/questions/63133227/cocoa-pods-error-failed-to-build-gem-native-extension-on-mac

1 J'aime